CERT NetSA Security Suite
Monitoring for Large-Scale Networks

# fixbuf

Documentation

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
fbInfoElement_st Struct Reference

A single IPFIX Information Element definition. More...

`#include <public.h>`

## Data Fields

union {
const struct fbInfoElement_st * canon
| Pointer to canonical copy of IE. More...
const char * name
| Information element name. More...
} | ref
| Information element name. More...
uint32_t | midx
| Multiple IE index. More...
uint32_t | ent
| Private Enterprise Number. More...
uint16_t | num
| Information Element number. More...
uint16_t | len
| Information element length in octets. More...
uint32_t | flags
| Flags. More...
uint64_t | min
| range min
uint64_t | max
| range max
uint8_t | type
| Data Type.
const char * | description
| description

## Detailed Description

A single IPFIX Information Element definition.

An Information Element defines the type of data in each field of a record. This structure may be contained in an fbInfoModel_t, in which case the name field contians the information element name, or an an fbTemplate_t, in which case the canon field references the fbInfoElement_t contained within the Information Model.

## Field Documentation

const struct fbInfoElement_st* fbInfoElement_st::canon

Pointer to canonical copy of IE.

Set by fbInfoElementCopyToTemplate(), and valid only for template IEs.

uint32_t fbInfoElement_st::ent

Private Enterprise Number.

Set to 0 for IETF-defined IEs.

uint32_t fbInfoElement_st::flags

Flags.

Bitwise OR of FB_IE_F_* constants. Use Macros to get units and semantic

uint16_t fbInfoElement_st::len

Information element length in octets.

uint32_t fbInfoElement_st::midx

Multiple IE index.

Must be 0 for model IEs. Defines the ordering of identical IEs in templates. Set and managed automatically by the fbTemplate_t routines.

const char* fbInfoElement_st::name

Information element name.

Storage for this is managed by fbInfoModel. Valid only for model IEs.

uint16_t fbInfoElement_st::num

Information Element number.

Does not include the on-wire enterprise bit; i.e. num & 0x8000 == 0 even if ent > 0.

union { ... } fbInfoElement_st::ref

Information element name.

The documentation for this struct was generated from the following file:

- public.h